function DS03CBL6143A2316410D = importa_ganancia_patron(filename, dataLines)
%IMPORTFILE Import data from a text file
%  DS03CBL6143A2316410D = IMPORTFILE(FILENAME) reads data from text file
%  FILENAME for the default selection.  Returns the numeric data.
%
%  DS03CBL6143A2316410D = IMPORTFILE(FILE, DATALINES) reads data for the
%  specified row interval(s) of text file FILENAME. Specify DATALINES as
%  a positive scalar integer or a N-by-2 array of positive scalar
%  integers for dis-contiguous row intervals.
%
%  Example:
%  DS03CBL6143A2316410D = importfile("\\172.29.29.58\actual\ANTENAS\2021\MA.21.010_UAH_SGR_MANUEL\Resultados\Diagramas\DS03_CBL6143A_23164_10D.TXT", [7, Inf]);
%
%  See also READTABLE.
%
% Auto-generated by MATLAB on 06-Jul-2021 17:45:57

%% Input handling

% If dataLines is not specified, define defaults
if nargin < 2
    dataLines = [7, Inf];
end

%% Set up the Import Options and import the data
opts = delimitedTextImportOptions("NumVariables", 8);

% Specify range and delimiter
opts.DataLines = dataLines;
opts.Delimiter = "\t";

% Specify column names and types
opts.VariableNames = ["Var1", "Frequency", "AntennaFactor3mMarkingEuT", "RealizedGain3mMarkingEuT", "AntennaFactor10mMarkingEuT", "RealizedGain10mMarkingEuT", "Var7", "Var8"];
opts.SelectedVariableNames = ["Frequency", "AntennaFactor3mMarkingEuT", "RealizedGain3mMarkingEuT", "AntennaFactor10mMarkingEuT", "RealizedGain10mMarkingEuT"];
opts.VariableTypes = ["string", "double", "double", "double", "double", "double", "string", "string"];

% Specify file level properties
opts.ExtraColumnsRule = "ignore";
opts.EmptyLineRule = "read";

% Specify variable properties
opts = setvaropts(opts, ["Var1", "Var7", "Var8"], "WhitespaceRule", "preserve");
opts = setvaropts(opts, ["Var1", "Var7", "Var8"], "EmptyFieldRule", "auto");

% Import the data
DS03CBL6143A2316410D = readtable(filename, opts);

%% Convert to output type
DS03CBL6143A2316410D = table2array(DS03CBL6143A2316410D);
end