function Untitled = importar_corte_diagrama(filename, dataLines)
%IMPORTFILE Import data from a text file
%  UNTITLED = IMPORTFILE(FILENAME) reads data from text file FILENAME
%  for the default selection.  Returns the numeric data.
%
%  UNTITLED = IMPORTFILE(FILE, DATALINES) reads data for the specified
%  row interval(s) of text file FILENAME. Specify DATALINES as a
%  positive scalar integer or a N-by-2 array of positive scalar integers
%  for dis-contiguous row intervals.
%
%  Example:
%  Untitled = importfile("\\172.29.29.58\actual\ANTENAS\2021\MA.21.010_UAH_SGR_MANUEL\Resultados\Diagramas\h\0.cti", [1613, 3213]);
%
%  See also READTABLE.
%
% Auto-generated by MATLAB on 05-Jul-2021 18:48:21

%% Input handling

% If dataLines is not specified, define defaults
if nargin < 2
    dataLines = [1613, Inf];
end

%% Set up the Import Options and import the data
opts = delimitedTextImportOptions("NumVariables", 1);

% Specify range and delimiter
opts.DataLines = dataLines;
opts.Delimiter = ",";

% Specify column names and types
opts.VariableNames = "CITIFILEA0101";
opts.VariableTypes = "double";

% Specify file level properties
opts.ExtraColumnsRule = "ignore";
opts.EmptyLineRule = "read";

% Import the data
Untitled = readtable(filename, opts);

%% Convert to output type
Untitled = table2array(Untitled);
end