# -*- coding: utf-8 -*-
"""
CLP5130-1N report. VSWR

@author: M. Prieto (UAH, Spain)
"""

import numpy as np
from matplotlib import pyplot as plt
from scipy.integrate import simps


path = './'
tit = 'CLP-5130-1N VSWR'

f = open(path+'SWR_Antena.prn', 'r')
sky1 = np.genfromtxt(f, delimiter=',',skip_header=1)
f.close()


freq = sky1[:,0]/1000000

plt.figure()# present raw data from spectral verview
plt.plot(freq,sky1[:,1],'-',color="green") #o,+,
#plt.plot(freq,sky2[:,1],'-',color="blue") #o,+,
plt.axhline(y=2, color="blue", linestyle="--")
plt.axhline(y=1, color="blue", linestyle="--")
plt.xlim([30, 1700])
plt.ylim([0, 8])
plt.xlabel("Frequency [MHz]")
plt.ylabel("VSWR")
plt.title('Voltage Standing Wave Ratio')

plt.savefig(path+tit+'_1_raw.png')


plt.figure()# present raw data from spectral verview
plt.plot(freq,sky1[:,1],'-s', markevery=[19], color="green",label='49.8 MHz') #o,+,
#plt.plot(freq,sky2[:,1],'-',color="blue") #o,+,
plt.plot(freq,sky1[:,1],'-gD', markevery=[59], color="blue",label='90.5 MHz') #o,+,

plt.axhline(y=2, color="blue", linestyle="--")
plt.axhline(y=1, color="blue", linestyle="--")
plt.xlim([30, 100])
plt.ylim([0, 8])
plt.xlabel("Frequency [MHz]")
plt.ylabel("VSWR")
plt.legend()

plt.title('Voltage Standing Wave Ratio')

plt.savefig(path+tit+'_2_raw.png')




